# -*- coding: utf-8 -*-
from item import *

# --------- S --------------
holy_water = Wand(
    name = JTxt('holy_water.name','#17C1FF', True, underlined = True),
    lore = Lore([ JPar(['holy_water.l0','holy_water.l1']), ]),
    spell_text = ['holy_water.spell.l0'],
    rank = Rank.S,
    cost = 80,
    element = WandElement.Water,
    price = 14
    )
tornado = Wand(
    name = JTxt('tornado.name','#B9E5F0', True, underlined = True),
    lore = Lore([ JPar(['tornado.l0']), ]),
    spell_text = ['tornado.spell.l0','tornado.spell.l1'],
    rank = Rank.S,
    cost = 105,
    element = WandElement.Air,
    price = 14
    )
mini_sun = Wand(
    name = JTxt('mini_sun.name','gold', True, underlined = True),
    lore = Lore([ JPar(['mini_sun.l0','mini_sun.l1']) ]),
    spell_text = ['mini_sun.spell.l0','mini_sun.spell.l1'],
    rank = Rank.S,
    cost = 110,
    element = WandElement.Fire,
    use = WandUse.Instant,
    price = 13
    )
void_tear = Wand(
    name = JTxt('void_tear.name','dark_purple', True, underlined = True),
    lore = Lore([ JPar(['void_tear.l0','void_tear.l1']) ]),
    spell_text = ['void_tear.spell.l0','void_tear.spell.l1'],
    rank = Rank.S,
    cost = 130,
    stats = Stats([ Stat('curse', 2) ]),
    element = WandElement.Dark,
    price = 20
    )
chickifier = Wand(
    name = JTxt('chickifier.name','dark_purple', True, underlined = True),
    lore = Lore([ JPar(['chickifier.l0']) ]),
    spell_text = ['chickifier.spell.l0','chickifier.spell.l1'],
    rank = Rank.S,
    cost = 120,
    stats = Stats([ Stat('curse', 2) ]),
    element = WandElement.Dark,
    use = WandUse.Instant,
    price = 19
    )
zeus_discharge = Wand(
    name = JTxt('zeus_discharge.name','yellow', True, underlined = True),
    lore = Lore([ JPar(['zeus_discharge.l0','zeus_discharge.l1']) ]),
    spell_text = ['zeus_discharge.spell.l0','zeus_discharge.spell.l1'],
    rank = Rank.S,
    cost = 100,
    element = WandElement.Thunder,
    bought = True
    )

s = [holy_water, tornado, mini_sun, void_tear, chickifier, zeus_discharge]

# --------- A --------------
spring_water = Wand(
    name = JTxt('spring_water.name','#17C1FF', True, underlined = True),
    lore = Lore([ JPar(['spring_water.l0','spring_water.l1']) ]),
    spell_text = ['spring_water.spell.l0'],
    rank = Rank.A,
    cost = 85,
    element = WandElement.Water,
    bought = True
    )
burning_rage = Wand(
    name = JTxt('burning_rage.name','gold', True, underlined = True),
    lore = Lore([ JPar(['burning_rage.l0','burning_rage.l1']) ]),
    spell_text = ['burning_rage.spell.l0'],
    rank = Rank.A,
    cost = 65,
    element = WandElement.Fire,
    price = 12
    )
venom_gass = Wand(
    name = JTxt('venom_gass.name','dark_green', True, underlined = True),
    lore = Lore([ JPar(['venom_gass.l0','venom_gass.l1']) ]),
    spell_text = ['venom_gass.spell.l0'],
    rank = Rank.A,
    cost = 90,
    element = WandElement.Earth,
    price = 9
    )
metal_skin = Wand(
    name = JTxt('metal_skin.name','dark_green', True, underlined = True),
    lore = Lore([ JPar(['metal_skin.l0','metal_skin.l1']) ]),
    spell_text = ['metal_skin.spell.l0'],
    rank = Rank.A,
    cost = 55,
    element = WandElement.Earth,
    price = 9
    )
bee_wand = Wand(
    name = JTxt('bee_wand.name','dark_purple', True, underlined = True),
    lore = Lore([ JPar(['bee_wand.l0','bee_wand.l1']) ]),
    spell_text = ['bee_wand.spell.l0'],
    rank = Rank.A,
    cost = 27,
    stats = Stats([ Stat('curse', 1.5) ]),
    element = WandElement.Dark,
    use = WandUse.Click_and_keep,
    price = 11
    )
electric_charge = Wand(
    name = JTxt('electric_charge.name','yellow', True, underlined = True),
    lore = Lore([ JPar(['electric_charge.l0','electric_charge.l1']) ]),
    spell_text = ['electric_charge.spell.l0','electric_charge.spell.l1'],
    rank = Rank.A,
    cost = 110,
    element = WandElement.Thunder,
    price = 12
    )

a = [spring_water, burning_rage, venom_gass, metal_skin, bee_wand, electric_charge]

# --------- B --------------
ice_snake = Wand(
    name = JTxt('ice_snake.name','#17C1FF', True, underlined = True),
    lore = Lore([ JPar(['ice_snake.l0']) ]),
    spell_text = ['ice_snake.spell.l0'],
    rank = Rank.B,
    cost = 50,
    use = WandUse.Instant,
    element = WandElement.Water,
    price = 7
    )
air_field = Wand(
    name = JTxt('air_field.name','#B9E5F0', True, underlined = True),
    lore = Lore([ JPar(['air_field.l0', 'air_field.l1']), ]),
    spell_text = ['air_field.spell.l0'],
    rank = Rank.B,
    cost = 60,
    element = WandElement.Air,
    use = WandUse.Instant,
    price = 6
    )
explosive_fire = Wand(
    name = JTxt('explosive_fire.name','gold', True, underlined = True),
    lore = Lore([ JPar(['explosive_fire.l0','explosive_fire.l1']), ]),
    spell_text = ['explosive_fire.spell.l0','explosive_fire.spell.l1'],
    rank = Rank.B,
    cost = 75,
    element = WandElement.Fire,
    price = 9
    )
fire_repelant = Wand(
    name = JTxt('fire_repelant.name','gold', True, underlined = True),
    lore = Lore([ JPar(['fire_repelant.l0']), ]),
    spell_text = ['fire_repelant.spell.l0'],
    rank = Rank.B,
    cost = 45,
    element = WandElement.Fire,
    bought = True
    )
metoer_rain = Wand(
    name = JTxt('meteor_rain.name','dark_green', True, underlined = True),
    lore = Lore([ JPar(['meteor_rain.l0','meteor_rain.l1']), ]),
    spell_text = ['meteor_rain.spell.l0'],
    rank = Rank.B,
    cost = 85,
    element = WandElement.Earth,
    price = 8
    )
dark_curse = Wand(
    name = JTxt('dark_curse.name','dark_purple', True, underlined = True),
    lore = Lore([ JPar(['dark_curse.l0']), ]),
    spell_text = ['dark_curse.spell.l0','dark_curse.spell.l1'],
    rank = Rank.B,
    cost = 65,
    stats = Stats([ Stat('curse', 1.25) ]),
    element = WandElement.Dark,
    price = 9
    )

b = [ice_snake, air_field, explosive_fire, fire_repelant, metoer_rain, dark_curse]

# --------- C --------------
freeze = Wand(
    name = JTxt('freeze.name','#17C1FF', True, underlined = True),
    lore = Lore([ JPar(['freeze.l0']), ]),
    spell_text = ['freeze.spell.l0'],
    rank = Rank.C,
    cost = 60,
    element = WandElement.Water,
    price = 7
    )
dash = Wand(
    name = JTxt('dash.name','#B9E5F0', True, underlined = True),
    lore = Lore([ JPar(['dash.l0']), ]),
    spell_text = ['dash.spell.l0','dash.spell.l1'],
    rank = Rank.C,
    cost = 35,
    element = WandElement.Air,
    price = 3
    )
molotov_fire = Wand(
    name = JTxt('molotov_fire.name','gold', True, underlined = True),
    lore = Lore([ JPar(['molotov_fire.l0']) ]),
    spell_text = ['molotov_fire.spell.l0'],
    rank = Rank.C,
    cost = 60,
    element = WandElement.Fire,
    price = 5
    )
earth_shield = Wand(
    name = JTxt('earth_shield.name','dark_green', True, underlined = True),
    lore = Lore([ JPar(['earth_shield.l0','earth_shield.l1']) ]),
    spell_text = ['earth_shield.spell.l0','earth_shield.spell.l1'],
    rank = Rank.C,
    cost = 70,
    element = WandElement.Earth,
    price = 4
    )
weakening = Wand(
    name = JTxt('weakening.name','dark_purple', True, underlined = True),
    lore = Lore([ JPar(['weakening.l0','weakening.l1']) ]),
    spell_text = ['weakening.spell.l0'],
    rank = Rank.C,
    cost = 45,
    stats = Stats([ Stat('curse', 1) ]),
    element = WandElement.Dark,
    bought = True
    )
zaper = Wand(
    name = JTxt('zaper.name','yellow', True, underlined = True),
    lore = Lore([ JPar(['zaper.l0']) ]),
    spell_text = ['zaper.spell.l0'],
    rank = Rank.C,
    cost = 22,
    element = WandElement.Thunder,
    use = WandUse.Instant,
    bought = True
    )

c = [freeze, dash, molotov_fire, earth_shield, weakening, zaper]

# --------- D --------------
ice_wall = Wand(
    name = JTxt('ice_wall.name','#17C1FF', True, underlined = True),
    lore = Lore([ JPar(['ice_wall.l0']) ]),
    spell_text = ['ice_wall.spell.l0'],
    rank = Rank.D,
    cost = 40,
    element = WandElement.Water,
    bought = True
    )
wind_push = Wand(
    name = JTxt('wind_push.name','#B9E5F0', True, underlined = True),
    lore = Lore([ JPar(['wind_push.l0','wind_push.l1']) ]),
    spell_text = ['wind_push.spell.l0'],
    rank = Rank.D,
    cost = 45,
    element = WandElement.Air,
    bought = True
    )
fire_flames = Wand(
    name = JTxt('fire_flames.name','gold', True, underlined = True),
    lore = Lore([ JPar(['fire_flames.l0','fire_flames.l1','fire_flames.l2']) ]),
    spell_text = ['fire_flames.spell.l0','fire_flames.spell.l1'],
    rank = Rank.D,
    cost = 5,
    element = WandElement.Fire,
    use = WandUse.Click_and_keep,
    bought = True
    )
bear_trap = Wand(
    name = JTxt('bear_trap.name','dark_green', True, underlined = True),
    lore = Lore([ JPar(['bear_trap.l0','bear_trap.l1','bear_trap.l2']) ]),
    spell_text = ['bear_trap.spell.l0'],
    rank = Rank.D,
    cost = 50,
    element = WandElement.Earth,
    bought = True
    )
egg_wand = Wand(
    name = JTxt('egg_wand.name','dark_purple', True, underlined = True),
    lore = Lore([ JPar(['egg_wand.l0','egg_wand.l1']) ]),
    spell_text = ['egg_wand.spell.l0'],
    rank = Rank.D,
    cost = 40,
    stats = Stats([ Stat('curse', 0.5) ]),
    element = WandElement.Dark,
    price = 5
    )
charger = Wand(
    name = JTxt('charger.name','yellow', True, underlined = True),
    lore = Lore([ JPar(['charger.l0','charger.l1']) ]),
    spell_text = ['charger.spell.l0'],
    rank = Rank.D,
    cost = 30,
    element = WandElement.Thunder,
    bought = True
    )

d = [ice_wall, wind_push, fire_flames, bear_trap, egg_wand, charger]

wands = s + a + b + c + d
